IDA SDK

- Main Page
- Header Files
- Classes
- Modules

Functions
Misc
Debugger functions

## Detailed Description

Convenience functions offered by the user interface.

## Functions
bool idaapi | is_bblk_trace_enabled (void)
ea_t idaapi | get_tev_ea (int n)
int idaapi | get_tev_type (int n)
int idaapi | get_tev_tid (int n)
void idaapi | bring_debugger_to_front (void)
const char *idaapi | get_debugger_event_cond (void)
void idaapi | set_debugger_event_cond (const char *cond)
bool idaapi | load_debugger (const char *dbgname, bool use_remote)
void idaapi | get_manual_regions (meminfo_vec_t *areas)
void idaapi | set_manual_regions (const meminfo_vec_t *areas)
void idaapi | edit_manual_regions ()
void idaapi | enable_manual_regions (bool enable)
int idaapi | hide_all_bpts (void)
int idaapi | handle_debug_event (const debug_event_t *ev, int rqflags)
bool idaapi | add_virt_module (const module_info_t *mod)
bool idaapi | del_virt_module (const ea_t base)
int idaapi | internal_cleanup_appcall (thid_t tid)
int idaapi | internal_get_sreg_base (thid_t tid, int sreg_value, ea_t *answer)
int idaapi | internal_ioctl (int fn, const void *buf, size_t size, void **poutbuf, ssize_t *poutsize)
ssize_t idaapi | read_dbg_memory (ea_t ea, void *buffer, size_t size)
ssize_t idaapi | write_dbg_memory (ea_t ea, const void *buffer, size_t size)
int idaapi | get_reg_vals (thid_t tid, int clsmask, regval_t *values)
int idaapi | set_reg_val (thid_t tid, int regidx, const regval_t *value)
int idaapi | get_dbg_memory_info (meminfo_vec_t *areas)
void idaapi | set_bpt_group (bpt_t &bpt, const char *grp_name)
bool idaapi | set_bptloc_group (const bpt_location_t &bptloc, const char *grp_name)
bool idaapi | get_bpt_group (qstring *grp_name, const bpt_location_t &bptloc)
size_t idaapi | list_bptgrps (qstrvec_t *bptgrps)
bool idaapi | rename_bptgrp (const char *old_name, const char *new_name)
bool idaapi | del_bptgrp (const char *name)
ssize_t idaapi | get_grp_bpts (bpt_vec_t *bpts, const char *grp_name)
const char * | bpt_t::get_cnd_elang () const
| Get the scripting language name for the condition string.
bool | bpt_t::set_cnd_elang (const char *name)
| Set the scripting language name for the condition string. More...

## Function Documentation

bool bpt_t::set_cnd_elang | ( | const char * | name | ) |
| inline

Set the scripting language name for the condition string.

Returns
  false if too many languages were used